## $Id: utils.py 9655 2012-11-17 08:02:43Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PREFERRED_LANGUAGES_DICT = {
        }

    APP_CATS_DICT = {
        'basic': 'PUTME, PUDE, PCE, PRENCE',
        'no': 'No Application',
        'pg_ft': 'Postgraduate Full-Time',
        'pg_pt': 'Postgraduate Part-Time',
        'sandwich': 'Sandwich',
        'cest': 'Part-Time, Diploma, Certificate',
        'pg_new': 'New Postgraduate Programmes',
        'dp_ft': 'Diploma Full-Time Programmes',
        }

    MODE_GROUPS = {
        'All':('all',),
        'Undergraduate Full-Time':('ug_ft', 'dp_ft', 'ct_ft', 'pd_ft'),
        'Undergraduate Part-Time':('ug_pt', 'dp_pt', 'ct_pt'),
        'Postgraduate Full-Time':('pg_ft', 'pgd_ft'),
        'Postgraduate Part-Time':('pg_pt', 'special_pg_pt', 'pgd_pt'),
        }